extern vec3 lightPositionRange;
extern vec3 lightColor;

vec4 effect(vec4 color, Image texture, vec2 texture_coords, vec2 pixel_coords){
    vec4 pixel = Texel(texture, texture_coords);
    vec2 lightToPixel = pixel_coords - lightPositionRange.xy;
	float distance = length(lightToPixel);
	float att = 1 - distance / lightPositionRange.z;

    if (distance <= lightPositionRange.z) {
        pixel.rgb = lightColor * att + att * att * 0.2;
    } else {
        pixel.rgb = vec3(0, 0, 0);
	}

	return pixel;
}
